Bug 1416901 - [RFE] Need debug logging on heapster
Summary: [RFE] Need debug logging on heapster
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Solly Ross
QA Contact: Peng Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 18:14 UTC by Steven Walter
Modified: 2020-03-11 15:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-03 18:10:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven Walter 2017-01-26 18:14:26 UTC
1. Proposed title of this feature request
 Debug logging on heapster

3. What is the nature and description of the request?
 Debugging heapster is difficult without debug logging, currently requires a special workaround

Comment 1 Rich Megginson 2017-02-09 14:54:11 UTC
I think this is a metrics issue (configuring heapster for debugging/logging), not a logging issue (i.e. related to fluentd/elasticsearch/kibana).

Comment 2 Matt Wringe 2017-02-09 17:54:45 UTC
Can you please explain this more and what the special work around is?

"Debugging heapster is difficult without debug logging, currently requires a special workaround"

Comment 3 Steven Walter 2017-02-09 19:14:59 UTC
We had to deploy a modified container with the logging enabled, but I do not know well enough the details of how that worked. Solly are you able to provide help on that?

Comment 4 Matt Wringe 2017-02-09 20:07:49 UTC
I think this is what Solly was working on with increasing the logging level outputs for certain situations. I will reassign this back to him as he has the patches.

Comment 5 Matt Wringe 2017-03-01 22:19:09 UTC
@sross any news on this?

Comment 6 Solly Ross 2017-03-03 16:21:08 UTC
PR posted: https://github.com/kubernetes/heapster/pull/1555

Comment 7 Solly Ross 2017-10-03 18:10:30 UTC
this has been fixed since Heapster 1.3.0, which went into 3.6.


Note You need to log in before you can comment on or make changes to this bug.